#include "me_iostm8s003f3.h"
#include "uart.h"
#include <intrinsics.h>

#pragma vector = UART1_R_RXNE_vector
__interrupt void UART1_R_RXNE_IRQHandler (void)
{
  uart_send_char (uart_get_char());
}

int main( void ) 
{

       	CLK_CKDIVRA = 0x00;
	CLK_PCKENR1 = 0xFF; // Enable peripherals
       uart_init();
       UART1_CR2.RIEN = 1; // enable RX interrupt
       asm("rim");      // enable interrupt
       uart_send_num(313);
       uart_send_string("In the Name of GOD");
       while (1);
         
       
}